<div>
  <h2 id="page-heading" data-cy="EvaluacionAlumnoHeading">
    <span>Evaluacion Alumnos</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="loadAll()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh List</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-evaluacion-alumno"
        [routerLink]="['/evaluacion-alumno/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span> Create a new Evaluacion Alumno </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="evaluacionAlumnos?.length === 0">
    <span>No evaluacionAlumnos found</span>
  </div>

  <div class="table-responsive" id="entities" *ngIf="evaluacionAlumnos && evaluacionAlumnos.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr>
          <th scope="col"><span>ID</span></th>
          <th scope="col"><span>Resultado</span></th>
          <th scope="col"><span>Evaluacion</span></th>
          <th scope="col"><span>Alumno</span></th>
          <th scope="col"><span>Evaluador</span></th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let evaluacionAlumno of evaluacionAlumnos; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/evaluacion-alumno', evaluacionAlumno.id, 'view']">{{ evaluacionAlumno.id }}</a>
          </td>
          <td>{{ evaluacionAlumno.resultado }}</td>
          <td>
            <div *ngIf="evaluacionAlumno.evaluacion">
              <a [routerLink]="['/evaluacion', evaluacionAlumno.evaluacion?.id, 'view']">{{ evaluacionAlumno.evaluacion?.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="evaluacionAlumno.alumno">
              <a [routerLink]="['/alumno', evaluacionAlumno.alumno?.id, 'view']">{{ evaluacionAlumno.alumno?.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="evaluacionAlumno.evaluador">
              <a [routerLink]="['/alumno', evaluacionAlumno.evaluador?.id, 'view']">{{ evaluacionAlumno.evaluador?.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/evaluacion-alumno', evaluacionAlumno.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline">View</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/evaluacion-alumno', evaluacionAlumno.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline">Edit</span>
              </button>

              <button type="submit" (click)="delete(evaluacionAlumno)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline">Delete</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
